Package io.vertx.ext.web.validation

## Enum BodyProcessorException.BodyProcessorErrorType

- java.lang.Object
- - java.lang.Enum<BodyProcessorException.BodyProcessorErrorType>
  - - io.vertx.ext.web.validation.BodyProcessorException.BodyProcessorErrorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<BodyProcessorException.BodyProcessorErrorType>`
  Enclosing class:
    BodyProcessorException

      public static enum BodyProcessorException.BodyProcessorErrorType
      extends Enum<BodyProcessorException.BodyProcessorErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MISSING_MATCHING_BODY_PROCESSOR` | The provided content type doesn't match any of the managed content type by the mounted `ValidationHandler`
    `PARSING_ERROR` | Error during parsing.
    `VALIDATION_ERROR` | Error during validation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BodyProcessorException.BodyProcessorErrorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static BodyProcessorException.BodyProcessorErrorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARSING_ERROR

          public static final BodyProcessorException.BodyProcessorErrorType PARSING_ERROR

      Error during parsing. The cause of the exception is instance of `MalformedValueException`

    - #### VALIDATION_ERROR

          public static final BodyProcessorException.BodyProcessorErrorType VALIDATION_ERROR

      Error during validation

    - #### MISSING_MATCHING_BODY_PROCESSOR

          public static final BodyProcessorException.BodyProcessorErrorType MISSING_MATCHING_BODY_PROCESSOR

      The provided content type doesn't match any of the managed content type by the mounted `ValidationHandler`

  - ### Method Detail

    - #### values

          public static BodyProcessorException.BodyProcessorErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BodyProcessorException.BodyProcessorErrorType c : BodyProcessorException.BodyProcessorErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BodyProcessorException.BodyProcessorErrorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null